<?php

declare(strict_types=1);


namespace App\Arbitration\Inner;


use App\Exchanges\ExchangeInterface;
use App\Exchanges\MarketInterface;
use App\Utils\Money\Currency;

class ArbitrationChain
{

    /**
     * @var MarketInterface[]
     */
    private array $markets;
    private ExchangeInterface $exchange;
    private ?Currency $base = null;

    public function __construct(
        ExchangeInterface $exchange,
        MarketInterface ...$markets
    )
    {
        $this->markets = $markets;
        $this->exchange = $exchange;
    }

    /**
     * @return MarketInterface[]
     */
    public function getMarkets(): array
    {
        return $this->markets;
    }

    public function getExchange(): ExchangeInterface
    {
        return $this->exchange;
    }

    public function getBase(): ?Currency
    {
        return $this->base;
    }

    public function setBase(?Currency $base): void
    {
        $this->base = $base;
    }
}