<?php

declare(strict_types=1);


namespace App\Arbitration\Inner;


use App\Exchanges\ExchangeInterface;

interface ChainProviderInterface
{
    /**
     * @param ExchangeInterface $exchange
     * @return ArbitrationChain[]
     */
    public function getChainsForExchange(ExchangeInterface $exchange): array;

    public function addChain(ArbitrationChain $chain): void;

    public function removeChain(ArbitrationChain $chain): void;
}