<?php

declare(strict_types=1);


namespace App\Arbitration\Inner\Receipt;


use App\Exchanges\MarketInterface;
use App\Utils\Money\Money;

class Deal
{
    private MarketInterface $market;
    private Money $bid;
    private Money $ask;

    public function __construct(
        MarketInterface $market,
        Money $bid,
        Money $ask
    )
    {
        $this->market = $market;
        $this->bid = $bid;
        $this->ask = $ask;
    }

    public function getBid(): Money
    {
        return $this->bid;
    }

    public function getAsk(): Money
    {
        return $this->ask;
    }

    public function getMarket(): MarketInterface
    {
        return $this->market;
    }
}