<?php

declare(strict_types=1);


namespace App\Exchanges\Kuna;


use App\Exchanges\ExchangeInterface;

class KunaExchange implements ExchangeInterface
{

    /**
     * @var KunaApiExecutor
     */
    private KunaApiExecutor $apiExecutor;

    public function __construct(
        KunaApiExecutor $apiExecutor
    )
    {
        $this->apiExecutor = $apiExecutor;
    }

    /**
     * @inheritDoc
     */
    public function getMarkets(): array
    {
        static $markets;

        if (empty($markets)) {
            $data = $this->apiExecutor->getMarkets();

            $markets = [];
            foreach ($data as $marketData) {
                $markets[] = KunaMarket::createFromApiData($marketData, $this->apiExecutor);
            }
        }

        return $markets;
    }

    public function getName(): string
    {
        return 'kuna';
    }
}