<?php

declare(strict_types=1);


namespace App\Utils\Wallet;


use App\Utils\Money\Currency;
use App\Utils\Money\Money;

class Wallet implements WalletInterface
{

    private array $monies;

    public function __construct(Money ...$monies)
    {
        $this->monies = $monies;
    }

    public function getMoneyAmount(Currency $currency): Money
    {
        foreach ($this->monies as $money) {
            if ($money->getCurrency()->isEqual($currency)) {
                return $money;
            }
        }

        return new Money("0", $currency);
    }
}